# Created by pyp2rpm-1.0.1
%global pypi_name python-exconsole
%global with_python3 1
%define version 0.1.5

Name:           python-exconsole
Version:        %{version}
Release:        %mkrel 7
Group:          Development/Python
Summary:        Emergency/postmortem Python console

License:        LGPLv3
URL:            TODO:
Source0:        https://pypi.python.org/packages/source/p/python-exconsole/python-exconsole-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
UNKNOWN

%if 0%{?with_python3}
%package -n     python3-exconsole
Summary:        Emergency/postmortem Python console


%description -n python3-exconsole
UNKNOWN
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{python_sitelib}/exconsole
%{python_sitelib}/python_exconsole-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-exconsole
%doc 
%{python3_sitelib}/exconsole
%{python3_sitelib}/python_exconsole-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.1.5-7.mga6
+ Revision: 970869
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.1.5-6.mga6
+ Revision: 888765
- rebuild for python 3.5

* Mon Jan 05 2015 joequant <joequant> 0.1.5-5.mga5
+ Revision: 808659
- fix naming glitch

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-4.mga5
+ Revision: 746805
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.5-3.mga5
+ Revision: 728443
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-2.mga5
+ Revision: 688024
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 joequant <joequant> 0.1.5-1.mga5
+ Revision: 653423
- add setuptools
- imported package python-exconsole

